## ros-one-rqt-image-view 0.4.17-3jammy.20260220.2321

=== debian/changelog ===
ros-one-rqt-image-view (0.4.17-3jammy.20260220.2321) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@openrobotics.org>  Fri, 20 Feb 2026 23:21:01 +0000

ros-one-rqt-image-view (0.4.17-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@openrobotics.org>  Fri, 20 Feb 2026 23:21:01 -0000

ros-one-rqt-image-view (0.4.16-0jammy) jammy; urgency=high

  * fix segfault on topic change (#40 <https://github.com/ros-visualization/rqt_image_view/issues/40>)

 -- William Woodall <william@openrobotics.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rqt-image-view (0.4.15-0jammy) jammy; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning

 -- William Woodall <william@openrobotics.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-rqt-image-view (0.4.14-0jammy) jammy; urgency=high

  * fix missing include for QSet (#31 <https://github.com/ros-visualization/rqt_image_view/issues/31>)
  * add color scheme for depth images (#23 <https://github.com/ros-visualization/rqt_image_view/issues/23>)

 -- William Woodall <william@openrobotics.org>  Fri, 10 Jan 2020 00:00:00 -0000

ros-one-rqt-image-view (0.4.13-0jammy) jammy; urgency=high

  * add build dependency on Qt5 dev package (#15 <https://github.com/ros-visualization/rqt_image_view/issues/15>)

 -- William Woodall <william@openrobotics.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-rqt-image-view (0.4.12-0jammy) jammy; urgency=high

  * save and restore the smooth image check box state (#13 <https://github.com/ros-visualization/rqt_image_view/issues/13>)
  * allow image rotation in 90° steps (#10 <https://github.com/ros-visualization/rqt_image_view/issues/10>)
  * use Python distutils to install the global rqt_image_view executable (#12 <https://github.com/ros-visualization/rqt_image_view/issues/12>)

 -- William Woodall <william@openrobotics.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-rqt-image-view (0.4.11-0jammy) jammy; urgency=high

  * use catkin_install_python with scripts (#8 <https://github.com/ros-visualization/rqt_image_view/issues/8>)

 -- William Woodall <william@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.10-0jammy) jammy; urgency=high

  * add option to render grid (#7 <https://github.com/ros-visualization/rqt_image_view/issues/7>)

 -- William Woodall <william@openrobotics.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.9-0jammy) jammy; urgency=high

  * reduce the size of the image border on the left and right side (#5 <https://github.com/ros-visualization/rqt_image_view/issues/5>)
  * avoid shrinking the image when the aspect ratio changes (#4 <https://github.com/ros-visualization/rqt_image_view/issues/4>)

 -- William Woodall <william@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.8-0jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.7-0jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.6-0jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.5-0jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.4-0jammy) jammy; urgency=high

  * add checkbox for optional smooth image scaling (#385 <https://github.com/ros-visualization/rqt_common_plugins/issues/385>)

 -- William Woodall <william@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.3-0jammy) jammy; urgency=high

  * generate UI headers in devel space to avoid CMake warning (#401 <https://github.com/ros-visualization/rqt_common_plugins/pull/401>)

 -- William Woodall <william@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-one-rqt-image-view (0.4.2-0jammy) jammy; urgency=high

  * select existing topic (#391 <https://github.com/ros-visualization/rqt_common_plugins/pull/391>)

 -- William Woodall <william@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-one-rqt-image-view (0.4.1-0jammy) jammy; urgency=high

  * add the possibility to publish mouse events (#368 <https://github.com/ros-visualization/rqt_common_plugins/issues/368>)

 -- William Woodall <william@openrobotics.org>  Mon, 16 May 2016 00:00:00 -0000

ros-one-rqt-image-view (0.4.0-0jammy) jammy; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- William Woodall <william@openrobotics.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-one-rqt-image-view (0.3.13-0jammy) jammy; urgency=high

  * use proper icon for images
  * add optional topic argument to rqt_image_view
  * fix width of save-as-image button
  * Contributors: Dirk Thomas, Vincent Rabaud

 -- William Woodall <william@openrobotics.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-one-rqt-image-view (0.3.12-0jammy) jammy; urgency=high

  * Added button to save current image to file
  * Contributors: Dirk Thomas

 -- William Woodall <william@openrobotics.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-one-rqt-image-view (0.3.11-0jammy) jammy; urgency=high

  * fix image shrinking problem (#291 <https://github.com/ros-visualization/rqt_common_plugins/issues/291>)

 -- William Woodall <william@openrobotics.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-one-rqt-image-view (0.3.10-0jammy) jammy; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- William Woodall <william@openrobotics.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-rqt-image-view (0.3.9-0jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-one-rqt-image-view (0.3.8-0jammy) jammy; urgency=high



## ros-one-rqt-image-view 0.4.17-3noble.20251023.0235

=== debian/changelog ===
ros-one-rqt-image-view (0.4.17-3noble.20251023.0235) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@openrobotics.org>  Thu, 23 Oct 2025 02:35:27 +0000

ros-one-rqt-image-view (0.4.17-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@openrobotics.org>  Thu, 23 Oct 2025 02:35:27 -0000

ros-one-rqt-image-view (0.4.16-0noble) noble; urgency=high

  * fix segfault on topic change (#40 <https://github.com/ros-visualization/rqt_image_view/issues/40>)

 -- William Woodall <william@openrobotics.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rqt-image-view (0.4.15-0noble) noble; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning

 -- William Woodall <william@openrobotics.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-rqt-image-view (0.4.14-0noble) noble; urgency=high

  * fix missing include for QSet (#31 <https://github.com/ros-visualization/rqt_image_view/issues/31>)
  * add color scheme for depth images (#23 <https://github.com/ros-visualization/rqt_image_view/issues/23>)

 -- William Woodall <william@openrobotics.org>  Fri, 10 Jan 2020 00:00:00 -0000

ros-one-rqt-image-view (0.4.13-0noble) noble; urgency=high

  * add build dependency on Qt5 dev package (#15 <https://github.com/ros-visualization/rqt_image_view/issues/15>)

 -- William Woodall <william@openrobotics.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-rqt-image-view (0.4.12-0noble) noble; urgency=high

  * save and restore the smooth image check box state (#13 <https://github.com/ros-visualization/rqt_image_view/issues/13>)
  * allow image rotation in 90° steps (#10 <https://github.com/ros-visualization/rqt_image_view/issues/10>)
  * use Python distutils to install the global rqt_image_view executable (#12 <https://github.com/ros-visualization/rqt_image_view/issues/12>)

 -- William Woodall <william@openrobotics.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-rqt-image-view (0.4.11-0noble) noble; urgency=high

  * use catkin_install_python with scripts (#8 <https://github.com/ros-visualization/rqt_image_view/issues/8>)

 -- William Woodall <william@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.10-0noble) noble; urgency=high

  * add option to render grid (#7 <https://github.com/ros-visualization/rqt_image_view/issues/7>)

 -- William Woodall <william@openrobotics.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.9-0noble) noble; urgency=high

  * reduce the size of the image border on the left and right side (#5 <https://github.com/ros-visualization/rqt_image_view/issues/5>)
  * avoid shrinking the image when the aspect ratio changes (#4 <https://github.com/ros-visualization/rqt_image_view/issues/4>)

 -- William Woodall <william@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.8-0noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.7-0noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.6-0noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.5-0noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.4-0noble) noble; urgency=high

  * add checkbox for optional smooth image scaling (#385 <https://github.com/ros-visualization/rqt_common_plugins/issues/385>)

 -- William Woodall <william@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-image-view (0.4.3-0noble) noble; urgency=high

  * generate UI headers in devel space to avoid CMake warning (#401 <https://github.com/ros-visualization/rqt_common_plugins/pull/401>)

 -- William Woodall <william@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-one-rqt-image-view (0.4.2-0noble) noble; urgency=high

  * select existing topic (#391 <https://github.com/ros-visualization/rqt_common_plugins/pull/391>)

 -- William Woodall <william@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-one-rqt-image-view (0.4.1-0noble) noble; urgency=high

  * add the possibility to publish mouse events (#368 <https://github.com/ros-visualization/rqt_common_plugins/issues/368>)

 -- William Woodall <william@openrobotics.org>  Mon, 16 May 2016 00:00:00 -0000

ros-one-rqt-image-view (0.4.0-0noble) noble; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- William Woodall <william@openrobotics.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-one-rqt-image-view (0.3.13-0noble) noble; urgency=high

  * use proper icon for images
  * add optional topic argument to rqt_image_view
  * fix width of save-as-image button
  * Contributors: Dirk Thomas, Vincent Rabaud

 -- William Woodall <william@openrobotics.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-one-rqt-image-view (0.3.12-0noble) noble; urgency=high

  * Added button to save current image to file
  * Contributors: Dirk Thomas

 -- William Woodall <william@openrobotics.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-one-rqt-image-view (0.3.11-0noble) noble; urgency=high

  * fix image shrinking problem (#291 <https://github.com/ros-visualization/rqt_common_plugins/issues/291>)

 -- William Woodall <william@openrobotics.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-one-rqt-image-view (0.3.10-0noble) noble; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- William Woodall <william@openrobotics.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-rqt-image-view (0.3.9-0noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-one-rqt-image-view (0.3.8-0noble) noble; urgency=high



## ros-one-rqt-image-view 0.4.17-3noble.20260220.2340

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(rqt_image_view)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS rqt_gui rqt_gui_cpp image_transport sensor_msgs geometry_msgs cv_bridge)

if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  find_package(Qt5Widgets REQUIRED)
else()
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
endif()

set(rqt_image_view_SRCS
  src/rqt_image_view/image_view.cpp
  src/rqt_image_view/ratio_layouted_frame.cpp
)

set(rqt_image_view_HDRS
  include/rqt_image_view/image_view.h
  include/rqt_image_view/ratio_layouted_frame.h
)

set(rqt_image_view_UIS
  resource/image_view.ui
)

set(rqt_image_view_INCLUDE_DIRECTORIES
  include
  "${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}"
)
if(NOT EXISTS "${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}")
  file(MAKE_DIRECTORY "${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}")
endif()

catkin_package(
  INCLUDE_DIRS ${rqt_image_view_INCLUDE_DIRECTORIES}
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS rqt_gui rqt_gui_cpp image_transport sensor_msgs cv_bridge geometry_msgs
)
catkin_python_setup()

if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  qt5_wrap_cpp(rqt_image_view_MOCS ${rqt_image_view_HDRS})
else()
  qt4_wrap_cpp(rqt_image_view_MOCS ${rqt_image_view_HDRS})
endif()
# ensure generated header files are being created in the devel space
set(_cmake_current_binary_dir "${CMAKE_CURRENT_BINARY_DIR}")
set(CMAKE_CURRENT_BINARY_DIR "${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}")
if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  qt5_wrap_ui(rqt_image_view_UIS_H ${rqt_image_view_UIS})
else()
  qt4_wrap_ui(rqt_image_view_UIS_H ${rqt_image_view_UIS})
endif()
set(CMAKE_CURRENT_BINARY_DIR "${_cmake_current_binary_dir}")

include_directories(${rqt_image_view_INCLUDE_DIRECTORIES} ${catkin_INCLUDE_DIRS})
add_library(${PROJECT_NAME} ${rqt_image_view_SRCS} ${rqt_image_view_MOCS} ${rqt_image_view_UIS_H})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  target_link_libraries(${PROJECT_NAME} Qt5::Widgets)
else()
  target_link_libraries(${PROJECT_NAME} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
endif()

find_package(class_loader)
class_loader_hide_library_symbols(${PROJECT_NAME})

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_image_view
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-one-rqt-image-view (0.4.17-3noble.20260220.2340) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@openrobotics.org>  Fri, 20 Feb 2026 23:40:39 +0000

=== debian/control ===
Source: ros-one-rqt-image-view
Section: misc
Priority: optional
Maintainer: William Woodall <william@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, qtbase5-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-rqt-gui, ros-one-rqt-gui-cpp, ros-one-sensor-msgs
Homepage: http://wiki.ros.org/rqt_image_view
Standards-Version: 3.9.2

Package: ros-one-rqt-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-rqt-gui, ros-one-rqt-gui-cpp, ros-one-sensor-msgs
Description: rqt_image_view provides a GUI plugin for displaying images using image_transport.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rqt-image-view//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
